Bug 737828 - LVMError: lvdeactivate failed for homes: LV data/homes in use: not deactivating
Summary: LVMError: lvdeactivate failed for homes: LV data/homes in use: not deactiva...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:06c4ef93dbca7739a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 08:21 UTC by Matthieu Pupat
Modified: 2011-09-15 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 14:16:36 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (1.55 MB, text/plain)
2011-09-13 08:22 UTC, Matthieu Pupat
no flags Details

Description Matthieu Pupat 2011-09-13 08:21:58 UTC
The following was filed automatically by anaconda:
anaconda 15.31 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 400, in lvdeactivate
    raise LVMError("lvdeactivate failed for %s: %s" % (lv_name, msg))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 2467, in _teardown
    lvm.lvdeactivate(self.vg.name, self._name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 717, in teardown
    self._teardown(recursive=recursive)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2074, in umountFilesystems
    device.teardown()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1211, in umountFilesystems
    self.fsset.umountFilesystems(ignoreErrors=ignoreErrors, swapoff=swapoff)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/livecd.py", line 137, in doPreInstall
    anaconda.storage.umountFilesystems(swapoff = False)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 202, in doPreInstall
    anaconda.backend.doPreInstall(anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1257, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1278, in handleRenderCallback
    self.currentWindow.renderCallback()
LVMError: lvdeactivate failed for homes:   LV data/homes in use: not deactivating

Comment 1 Matthieu Pupat 2011-09-13 08:22:17 UTC
Created attachment 522871 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2011-09-14 14:01:03 UTC
Did you happen to mount this volume yourself from a shell, or is there some other program running that has it automounted?

Comment 3 Matthieu Pupat 2011-09-14 20:51:35 UTC
I had indeed mounted this volume from a terminal window.

Comment 4 Chris Lumens 2011-09-15 14:16:36 UTC
Please unmount it before starting up anaconda.  We try to make sure to do that ourselves, but if you do mount things at an inopportune moment, it's just going to make a mess of things.  This is one reason why we don't especially care for live installs.


Note You need to log in before you can comment on or make changes to this bug.